Start the Hole command in a Sync ST2 document using VB6 StartCommand

Valued Contributor
Valued Contributor

Hi Jason, Using ST2 with VB6. This is relevant portion of the code: Dim objApp As SolidEdgeFramework.ApplicationDim pDoc As SolidEdgePartsync.PartDocument. Set theApp = GetObject(, "SolidEdge.Application") Set objDoc = objApp.ActiveDocument Call objApp.StartCommand(PartCommandConstants.PartFeatureHole) But this does not work when SE has a sync part open (but works with V20 & ST2 Traditional Part).. When I go to SE, the command has not been started. I read the on-line help on StartCommand, but I could not find any clue. I also tried the sample code. But it also shows error at the following statement: Set objDoc = objApp.ActiveDocument So how to start the Hole command in a Sync ST2 document using VB6? Vilas Date

 

Posted by: Vilas Date
Post date: 8/5/2009 9:21:36 PM

1 REPLY

RE: Start the Hole command in a Sync ST2 document using VB6 StartCommand

Valued Contributor
Valued Contributor

You could find the commandID of "hole", then use to "startcommand". Before do this, you must catch the face of you want.

 

Posted by: fat kids
Post date: 8/9/2009 10:31:28 PM